xEnrichDotplot | R Documentation

## Function to visualise enrichment results using dot-like plot

### Description

`xEnrichDotplot` is supposed to visualise enrichment results using dot-like plot. It returns a ggplot2 object.

### Usage

    xEnrichDotplot(
    eTerm,
    FDR.cutoff = 0.05,
    colors = c("pink", "red"),
    y.scale = c("normal", "log"),
    slim = NULL,
    size.range = c(0.5, 3.5),
    size.title = "Num of overlaps",
    label.top = "auto",
    label.direction.y = c("left", "right", "none"),
    label.size = 2,
    ...
    )

### Arguments

`eTerm` | an object of class "eTerm" or "ls_eTerm". Alterntively, it can be a data frame having all these columns (named as 'group','name','adjp','zscore','nOverlap')
`FDR.cutoff` | FDR cutoff used to declare the significant terms. By default, it is set to 0.05
`colors` | a 2-element vector for color-coded points. By default, it is c("pink","red"), responding to the insignificant and the significant
`y.scale` | how to transform the y scale. It can be "normal" for no transformation, and "log" for log-based transformation
`slim` | the minimum and maximum values for which sizes should be plotted
`size.range` | the range of actual node size
`size.title` | a character specifying the title for node sizing. By default it is 'Num of overlaps'
`label.top` | the number of the top terms (sorted according to adjp). Only the significant terms (see above FDR.cutoff) will be labelled
`label.direction.y` | how to align labels. It can be "none", "left" (align labels on the left edge) or "right" (align labels on the right edge). Only works for individual group
`label.size` | the size of the labellings
`...` | additional graphic parameters (such as size, color) used in ggrepel::geom_text_repel to control labels

### Value

an object of class "ggplot"

### Note

none

### See Also

`xEnrichDotplot`

### Examples

    ## Not run:
    # Load the XGR package and specify the location of built-in data
    library(XGR)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata/"

    gp <- xEnrichDotplot(eTerm, label.top=10)

    ## End(Not run)